Summary:	A graphical MySQL query shell
Name:		mysql-query-browser
Version:	1.1.2
Release:	%mkrel 2
Group:		Databases
License:	GPL
URL:		http://www.mysql.com/products/administrator
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	pcre-devel >= 3.9
BuildRequires:	libglade2.0-devel >= 2.0.0
BuildRequires:	gtkmm2.0-devel >= 2.2.0
BuildRequires:	libgtkhtml-3.0-devel
BuildRequires:	MySQL-devel >= 4.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
MySQL Query Browser is a GUI tool for executing SQL queries.
It will display the result in a list where you can edit its contents
and save. It has several auxiliar features to facilitate work, such
as query "bookmarking", query history, syntax highlighting and online
help.

It's part of the MySQL Developer Suite.

%prep

%setup -q

%build

cd mysql-gui-common
%configure --with-commondirname=query-browser
%make

cd ../%{name}
%configure --with-commondirname=query-browser
%make

%install
rm -rf %{buildroot}
cd mysql-gui-common
%makeinstall_std

cd ../%{name}
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/mysql-gui/doc/query-browser
cp -a doc/* %{buildroot}%{_datadir}/mysql-gui/doc/query-browser

install -d %{buildroot}/{%{_menudir},%{_iconsdir},%{_liconsdir},%{_miconsdir}}
kdedesktop2mdkmenu.pl %{name} "More Applications/Databases" %{buildroot}/%{_datadir}/applications/MySQLQueryBrowser.desktop %{buildroot}/%{_menudir}/%{name}
perl -pi -e 's,icon=\".*\",icon=\"%{name}.png\",g' %{buildroot}/%{_menudir}/%{name}
grep -q command %{buildroot}/%{_menudir}/%{name} || echo -n ' command="%{_bindir}/%{name}"' >> %{buildroot}/%{_menudir}/%{name}

ln -s %{_datadir}/mysql-gui/MySQLIcon_QueryBrowser_48x48.png %{buildroot}/%{_iconsdir}/%{name}.png
ln -s %{_datadir}/mysql-gui/MySQLIcon_QueryBrowser_48x48.png %{buildroot}/%{_miconsdir}/%{name}.png
ln -s %{_datadir}/mysql-gui/MySQLIcon_QueryBrowser_48x48.png %{buildroot}/%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus
 
%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc mysql-query-browser/COPYING 
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_bindir}/%{name}-bin
%{_datadir}/applications/*.desktop
%{_datadir}/mysql-gui/*.png
%dir %{_datadir}/mysql-gui/query-browser
%{_datadir}/mysql-gui/query-browser/*
%dir %{_datadir}/mysql-gui/doc/query-browser
%{_datadir}/mysql-gui/doc/query-browser/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Fri Apr 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.2-2mdk
- use the %%mkrel macro
- fix deps

* Fri Dec 10 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.1.2-1mdk
- First Mandrake package (based on spec distributed in the source and
  spec for mysql-administrator
